POST /replicate/v1/models/black-forest-labs/flux-pro/predictions
Method: POSTEndpoint: /replicate/v1/models/black-forest-labs/flux-pro/predictions
https://replicate.com/black-forest-labs/flux-pro?input=http
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"steps"
:
25
,
"width"
:
1024
,
"height"
:
1024
,
"prompt"
:
"The world\\'s largest black forest cake, the size of a building, surrounded by trees of the black forest"
,
"guidance"
:
3
,
"interval"
:
2
,
"aspect_ratio"
:
"1:1"
,
"output_format"
:
"webp"
,
"output_quality"
:
80
,
"safety_tolerance"
:
2
,
"prompt_upsampling"
:
false
}
}Example Request
Shell
bash
curl --location --request POST '/replicate/v1/models/black-forest-labs/flux-pro/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"input": {
"steps": 25,
"width": 1024,
"height": 1024,
"prompt": "The world\\'\''s largest black forest cake, the size of a building, surrounded by trees of the black forest",
"guidance": 3,
"interval": 2,
"aspect_ratio": "1:1",
"output_format": "webp",
"output_quality": 80,
"safety_tolerance": 2,
"prompt_upsampling": false
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}